> For the complete documentation index, see [llms.txt](https://superfluid.gitbook.io/superfluid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-operations/read-methods/getaccountflowinfo.md).

# getAccountFlowInfo

Get *net* stream information for an account pertaining to a specified Super Token

<pre class="language-javascript"><code class="lang-javascript">//load the token you'd like to use like this 
//note that tokens may be loaded by symbol or by address
const daix = await sf.loadSuperToken("DAIx");
<strong>
</strong><strong>let res = await daix.getAccountFlowInfo({
</strong>  account: string,
  providerOrSigner: ethers.providers.Provider | ethers.Signer
});
</code></pre>

### Parameters

<table><thead><tr><th width="182">Parameter</th><th width="231.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>account</code></td><td><code>string</code></td><td>Address of account you're getting stream information for</td></tr><tr><td><code>providerOrSigner</code></td><td><code>ethers.providers.Provider</code> <em>or</em> <code>ethers.Signer</code></td><td>ethers provider or ethers signer object</td></tr></tbody></table>

### Return Value(s)

Returns a JSON object literal with the below info:

<table><thead><tr><th width="183">Key</th><th width="126.33333333333331">Value Type</th><th>Description</th></tr></thead><tbody><tr><td><code>timestamp</code></td><td><code>Date</code></td><td>Timestamp when a stream of <code>superToken</code> was last updated by the account</td></tr><tr><td><code>flowRate</code></td><td><code>string</code></td><td><p>Net flow rate (wei/second) of <code>account</code> for the specified <code>superToken</code>. </p><p></p><p>Can be positive or negative as it's the sum of the account's inbound and outbound CFA flow rates.</p></td></tr><tr><td><code>deposit</code></td><td><code>string</code></td><td>Total <a href="https://docs.superfluid.finance/superfluid/protocol-overview/in-depth-overview/super-agreements/constant-flow-agreement-cfa#buffer">buffer deposits</a> of all streams being sent by <code>account</code></td></tr><tr><td><code>owedDeposit</code></td><td><code>string</code></td><td>Total <a href="https://docs.superfluid.finance/superfluid/sentinels/liquidations-and-toga#liquidation-and-solvency">additional deposits</a> for all streams to Super Apps</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-operations/read-methods/getaccountflowinfo.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
